Update a product group usage
patch
/crmRestApi/resources/11.13.18.05/productGroupUsages/{UsageCode}/child/ProductGroupUsageEngine/{ProductGroupUsageEngineUniqID}
Request
Path Parameters
-
ProductGroupUsageEngineUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Product Group Usage Functions resource and used to uniquely identify an instance of Product Group Usage Functions. The client should not generate the hash key value. Instead, the client should query on the Product Group Usage Functions collection resource in order to navigate to a specific instance of Product Group Usage Functions to get the hash key.
-
UsageCode(required): string
The usage code of the product group.
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
UsageCode: string
Maximum Length:
30The usage code of the usage engine. -
UsageModeCode: string
Title:
ModeMaximum Length:30The usage mode code of the usage engine. -
UsagePrefCode: string
Title:
NameMaximum Length:30The usage preference code of the usage engine. -
UsagePrefValue: string
Title:
ValueMaximum Length:100The usage preference value of the usage engine.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : productGroupUsages-ProductGroupUsageEngine-item-response
Type:
Show Source
object-
CreatedBy: string
Read Only:
trueMaximum Length:64The user who created the usage engine record. -
CreationDate: string
(date-time)
Read Only:
trueThe date when the usage engine record was created. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe date when the usage engine record was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64The user who last updated the usage engine record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
UsageCode: string
Maximum Length:
30The usage code of the usage engine. -
UsageModeCode: string
Title:
ModeMaximum Length:30The usage mode code of the usage engine. -
UsagePrefCode: string
Title:
NameMaximum Length:30The usage preference code of the usage engine. -
UsagePrefValue: string
Title:
ValueMaximum Length:100The usage preference value of the usage engine.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.